首页 / 浏览问题 / 移动GIS / 问题详情
Xcode10环境下iMobile 9D无法运行
4EXP 2018年09月26日

使用产品:SuperMap iMobile 9D SP1 for iOS(V9.0.1)

操作系统:macOS High Sierra 10.13.6

开发环境:Xcode 10.0

项目之前使用Xcode版本为9.4.1并正常运行使用测试。在升级10.0之后,项目显示报错找不到libstdc++.6.0.9.tbd库,Apple官方告知该库在Xcode10中已被废弃。

除了将项目回滚运行在Xcode9.4.1环境下之外,还有其他解决方案能提供下吗?

现已尝试将libstdc++.6.0.9.tbd库手动添加至Xcode中,报错信息如下图:

1个回答

系统报错找不到libstdc++.6.0.9.tbd,我们的SDK有依赖libstdc++.6.0.9.tbd,10版本不支持,我们这边建议研发修改升级
1,732EXP 名扬四海 2018年09月27日
...